// seite geladen
$( document ).ready(function() {
	if (typeof refreshVariations === "function") {
		console.log('refreshVariations');
		refreshVariations();
	}
});

// für die varkombis
$( document ).ready(function() {
	var observer = new MutationObserver(function(mutations) {
		mutations.forEach(function(mutation) {
			//console.log('Mutation type: ' + mutation.type);
			if ( mutation.type == 'childList' ) {
				//console.log(mutation);
				if (mutation.addedNodes.length >= 1) {
					//console.log(mutation.addedNodes[0]);
					for (let i = 0; i < mutation.addedNodes.length; i++) {
						if (mutation.addedNodes[i].id == 'result-wrapper') {
							if (typeof refreshVariations === "function") {
								console.log('refreshVariations - mutation');
								refreshVariations();
							}
							//console.log('refreshSwatches');
							//refreshSwatches();
							break;
							//console.log('Added ' + mutation.addedNodes[0].tagName + ' tag.');
				        	//console.log(mutation.addedNodes[0]);
				        	//console.log(mutation.addedNodes[0].id);
				        }
				  	}
				} else if (mutation.removedNodes.length >= 1) {
					//console.log('Removed ' + mutation.removedNodes[0].tagName + ' tag.');
			        //console.log(mutation.removedNodes[0]);
				}
			} else if (mutation.type == 'attributes') {
				//console.log('Modified ' + mutation.attributeName + ' attribute.')
			}
		});   
	});
		  
	var observerConfig = {
		attributes: false,
		childList: true,
		characterData: false
	};
		  
	// Listen to all changes to body and child nodes
	var targetNode = $('#content')[0];
	observer.observe(targetNode, observerConfig);
});